Search TM content
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Translation memory UID
Query Parameters
Start index for pagination (default: 0)
x >= 0Batch size, accepts values between 1 and 100, default 50
0 <= x <= 100Body
Search TM content request payload
Filter for related metadata (e.g. project, client, ...). It's possible to provide multiple filter criteria of same type (AND logic applied)
If true, sourceQuery will be considered case-sensitive
Matching operator for sourceQuery. Default: IS
IS, IS_NOT, CONTAINS, DOES_NOT_CONTAIN Query string for source part of segment. Provide either sourceQuery or targetQuery (not both)
If true, sourceQuery will be considered to be regular expression
Target languages/locales of the given TM to search in. Example: en_us
If true, targetQuery will be considered case-sensitive
Matching operator for targetQuery. Default: IS
IS, IS_NOT, CONTAINS, DOES_NOT_CONTAIN Query string for target part of segment. Provide either sourceQuery or targetQuery (not both)
If true, targetQuery will be considered to be regular expression
ID of the translation unit
Response
OK